# std::atomic_ref<T>::address

From cppreference.com
< cpp‎ | atomic‎ | atomic ref

constexpr T* address() const noexcept; |  | (since C++26)

Obtains the stored pointer.

### Return value

`ptr`

### Notes

Feature-test macro | Value | Std | Feature
--- | --- | --- | ---
`__cpp_lib_atomic_ref` | `202411L` | (C++26) | `std::atomic_ref::address()`

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic_ref/address&oldid=179448"